s9_level_hints.levels["Level 5"] = function()
	return
	{
		miniscenes
		({
			level05_miniscene_cooler = 
			{
				IF(state("Box","box_for_foto02"), miniscene("area_cooler")),
			},
			level05_miniscene_recess = 
			{
				IF(state("Panel", "panel01"), miniscene("Panel")),
				miniscene("Wire")
			},
			level05_miniscene_card = 
			{
				miniscene("Card"),
			},
			level05_miniscene_telephone =
			{
				IF(state("Box","box_for_foto02"), miniscene("telephone01")),
			},
			level05_miniscene_chest =
			{
				IF(state("Box","box_for_foto02"), miniscene("Door_medicine_chest")),
			},
			level05_miniscene_bag =
			{
				IF(state("Allochka", "allochka05"), miniscene("Bag")),
			},
		}),
		IF(state("Box", "box_for_foto01"), minigame("Box")),
		IF(state("Pillow01", "pillow01"), click("Pillow01")),
		take("Scissors01"),
		on_scene("level05_miniscene_cooler",
		{
			take("Screwdriver"),
		}),
		on_scene("level05_miniscene_recess",
		{
			click("area_screw01", "Screwdriver"),
			click("area_wire01", "Scissors01"),
			click("area_wire02", "Scissors01"),
			click("area_wire03", "Scissors01"),
		}),
		IF(state("Paper", "paper01", "paper02"), click("Paper")),
		IF(state("Card", "card01"), click("Card")),
		
		IF(state("Cookie01", "cookie01_01"), click("Cookie01")),
		IF(state("Cookie02", "cookie02_01"), click("Cookie02")),
		IF(state("Cookie03", "cookie03_01"), click("Cookie03")),
		IF(state("Cookie04", "cookie04_01"), click("Cookie04")),
		IF(state("Cookie05", "cookie05_01"), click("Cookie05")),
		
		IF(state("Box","box_for_foto02"), take("Coin")),
		on_scene("level05_miniscene_telephone",
		{
			click("area_for_coin", "Coin"),
			IF(state("Indicator","indicator02"), minigame("area_telephone01") )
		}),


		on_scene("level05_miniscene_chest",
		{
			IF(state("Door_medicine_chest","door_medicine_chest01"), click("area_doors_close")),
			IF(state("Legend", "legend02"), take("Somnum")),
		}),
		IF(state("Box","box_for_foto02"), take("Cap")),
		
		on_scene("level05_miniscene_cooler",
		{
			click("area_cool", "Cap"),
		}),
		click("area_allochka03", "Cap_of_hypnotic"),

		on_scene("level05_miniscene_bag",
		{
			take("Handle")
		}),
		click("handle01", "Handle")
	}	
end
